Skip to main content
GET
List projects

Authorizations

x-api-key
string
header
required

API key generated in the Portal (Workspace Settings → API Keys).

Query Parameters

page
default:1

Page number, starting at 1. Default: 1.

pageSize
default:100

Items per page (1–100). Default: 100.

order
enum<string>
default:Asc

Sort direction. One of: asc, desc. Default: asc.

Available options:
Asc,
Desc
Example:

"Asc"

orderBy
enum<string>
default:Name

Sort field. One of: name, dateCreated, lastModified, state. Default: name.

Available options:
Name,
DateCreated,
LastModified,
State
Example:

"Name"

filter
string
default:""

Filter by project name (substring match).

Maximum string length: 500
state
enum<string>

Filter by project state.

Available options:
Draft,
Active,
Inactive,
Deleted,
ActiveExpired
Example:

"Draft"

bypassCache
boolean
default:false

Bypass the server cache to get the latest data.

Response

OK

name
string
required

The name of the project.

Maximum string length: 50
fitForDutyResponse
string
required

Define actions for high-risk results. For example, you can write 'Interview the test taker', or enter a URL.

Maximum string length: 1000
id
string<uuid>

The unique identifier of the project.

dateCreated
string<date-time>

The date the project was created.

lastModified
string<date-time>

The date the project was last modified.

state
enum<string>

The state of the project.

Available options:
Draft,
Active,
Inactive,
Deleted,
ActiveExpired
Example:

"Draft"